Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.classloader
Class JarFileUrlConnection

    java.lang.Object
      java.net.URLConnection
          java.net.JarURLConnection
              org.apache.axis2.classloader.JarFileUrlConnection

    public class JarFileUrlConnection

extends JarURLConnection

Version:
  $Rev: 476049 $ $Date: 2006-11-16 23:35:17 -0500 (Thu, 16 Nov 2006) $

Field Summary
`static URL` | `DUMMY_JAR_URL`

Fields inherited from class java.net.JarURLConnection
`jarFileURLConnection`

Fields inherited from class java.net.URLConnection
`allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, useCaches`

Constructor Summary
`JarFileUrlConnection(URL url, JarFile jarFile, JarEntry jarEntry)`

Method Summary
`void` | `connect()`
`Attributes` | `getAttributes()`
`Certificate[]` | `getCertificates()`
`int` | `getContentLength()`
`String` | `getEntryName()`
`InputStream` | `getInputStream()`
`JarEntry` | `getJarEntry()`
`JarFile` | `getJarFile()`
`URL` | `getJarFileURL()`
`long` | `getLastModified()`
`Attributes` | `getMainAttributes()`
`Manifest` | `getManifest()`
`Permission` | `getPermission()`
`URL` | `getURL()`
`String` | `toString()`

Methods inherited from class java.net.URLConnection
`addRequestProperty, getAllowUserInteraction, getConnectTimeout, getContent, getContent, getContentEncoding, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getHeaderFields, getIfModifiedSince, getOutputStream, getReadTimeout, getRequestProperties, getRequestProperty, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setConnectTimeout, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setReadTimeout, setRequestProperty, setUseCaches`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DUMMY_JAR_URL

    public static final URL DUMMY_JAR_URL

Constructor Detail

### JarFileUrlConnection

    public JarFileUrlConnection(URL url,
                                JarFile jarFile,
                                JarEntry jarEntry)
                         throws MalformedURLException

Throws:
  `MalformedURLException`

Method Detail

### getJarFile

    public JarFile getJarFile()
                       throws IOException

  Specified by:
    `getJarFile` in class `JarURLConnection`
  Throws:
    `IOException`

### connect

    public void connect()

  Specified by:
    `connect` in class `URLConnection`

### getJarFileURL

    public URL getJarFileURL()

  Overrides:
    `getJarFileURL` in class `JarURLConnection`

### getEntryName

    public String getEntryName()

  Overrides:
    `getEntryName` in class `JarURLConnection`

### getManifest

    public Manifest getManifest()
                         throws IOException

  Overrides:
    `getManifest` in class `JarURLConnection`
  Throws:
    `IOException`

### getJarEntry

    public JarEntry getJarEntry()

  Overrides:
    `getJarEntry` in class `JarURLConnection`

### getAttributes

    public Attributes getAttributes()
                             throws IOException

  Overrides:
    `getAttributes` in class `JarURLConnection`
  Throws:
    `IOException`

### getMainAttributes

    public Attributes getMainAttributes()
                                 throws IOException

  Overrides:
    `getMainAttributes` in class `JarURLConnection`
  Throws:
    `IOException`

### getCertificates

    public Certificate[] getCertificates()
                                  throws IOException

  Overrides:
    `getCertificates` in class `JarURLConnection`
  Throws:
    `IOException`

### getURL

    public URL getURL()

  Overrides:
    `getURL` in class `URLConnection`

### getContentLength

    public int getContentLength()

  Overrides:
    `getContentLength` in class `URLConnection`

### getLastModified

    public long getLastModified()

  Overrides:
    `getLastModified` in class `URLConnection`

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Overrides:
    `getInputStream` in class `URLConnection`
  Throws:
    `IOException`

### getPermission

    public Permission getPermission()
                             throws IOException

  Overrides:
    `getPermission` in class `URLConnection`
  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `URLConnection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.